For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Retrieves ticket id and access details about a specific ticket or list of tickets, depending on which query parameter is used. If the value is not found, an empty list is returned. In case when a list of external numbers is provided, all matching tickets are returned, including duplicates. Tickets not found are omitted from the result. Leading and trailing spaces are ignored in the provided ticket numbers. <br>Exactly one of `ticketId`, `externalNumbers` or `notificationAddress` must be provided.<br> <br> - Filter using `ticketId`, `externalNumbers` or `notificationAddress` to get a specific ticket or a list of tickets. <br> - Use `externalNumbers` to find multiple tickets by their external numbers. (Separate the ticket number with a comma). <br> - Admission content and item descriptions can be included with `withAdmissionContent`. <br> - Access history summary is always included; use `withAccessHistoryDetails` to also include event-level events. <br> - Use `withWallet` to include `inWallet` and `wallets`, the headers of the Attraction Wallets holding the ticket. <br> - `activeOnly` controls whether blocked/expired tickets are filtered out (defaults to `true` when omitted).
A list of unique identifiers of tickets, separated by commas
ticketIdUUIDOptional
The unique identifier of a ticket
notificationAddressstringOptional
The email address or mobile phone number to send tickets and notifications to
withAdmissionContentbooleanOptional
withAccessHistoryDetailsbooleanOptional
withWalletbooleanOptional
When true, the response includes inWallet and the wallets array. Defaults to false.
activeOnlybooleanOptional
storeCodestringOptional
A unique identifier for a store - a logical grouping defining a subset of ticket items. This is used to filter the list of ticket items returned by the API. When left empty, the API will use the default store code.
Response
This endpoint returns a list of objects.
ticketIdUUID
The unique identifier of a ticket
ticketNumberstring
The unique identifier of a ticket
ticketKindenum
The kind of ticket, either individual or group admission.
reservationTokenstring
A unique token that identifies a ticket reservation
itemNumberstring
An item or product number defined in the ticketing system
validFromdatetime
validUntildatetime
issuedAtdatetime
The date and time when the ticket was issued
blockedboolean
pinCodestringOptional
A pin code for the ticket, used for validation when rescheduling or revoking a confirmed ticket
unitPricedoubleOptional
unitPriceInclVatdoubleOptional
currencyCodestringOptional
ticketHolderstringOptional
The name of the person holding the ticket(s)
ticketHolderLanguagestringOptional
The language code the ticket holder wants to receive notifications in.
notificationAddressstringOptional
The email address or mobile phone number to send tickets and notifications to
inWalletbooleanOptional
Only present when withWallet=true. true when the ticket is in a wallet.
walletslist of objectsOptional
Only present when withWallet=true. The wallets currently holding the ticket, each as Get Wallet returns it but without the assets. Empty when the ticket is in no wallet.
printCountintegerOptional
printedAtdatetimeOptional
contentlist of objectsOptional
descriptionobjectOptional
Descriptive information about a ticket item. The source of these fields are configurable.
accessHistorylist of objectsOptional
admissionEntitlementslist of objectsOptional
Retrieves ticket id and access details about a specific ticket or list of tickets, depending on which query parameter is used. If the value is not found, an empty list is returned. In case when a list of external numbers is provided, all matching tickets are returned, including duplicates. Tickets not found are omitted from the result. Leading and trailing spaces are ignored in the provided ticket numbers. Exactly one of ticketId, externalNumbers or notificationAddress must be provided.
- Filter using ticketId, externalNumbers or notificationAddress to get a specific ticket or a list of tickets. - Use externalNumbers to find multiple tickets by their external numbers. (Separate the ticket number with a comma). - Admission content and item descriptions can be included with withAdmissionContent. - Access history summary is always included; use withAccessHistoryDetails to also include event-level events. - Use withWallet to include inWallet and wallets, the headers of the Attraction Wallets holding the ticket. - activeOnly controls whether blocked/expired tickets are filtered out (defaults to true when omitted).